Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.gl20
Class GL20MeshServer

    java.lang.Object
      de.grogra.imp3d.gl20.GL20MeshServer

    public class GL20MeshServer

extends java.lang.Object

Method Summary
`static GL20MeshServer` | `getInstance()` return the server instance of this `GL20MeshServer`
`GL20ResourceMeshMultiUser` | `getMultiUserMeshByName(java.lang.String name)` get a `GL20ResourceMeshMultiUser` by a given `name`.
`void` | `registerMultiUserMesh(GL20ResourceMeshMultiUser mesh)` register a `GL20ResourceMeshMultiUser`
`void` | `unregisterMultiUserMesh(GL20ResourceMeshMultiUser mesh)` unregister a `GL20ResourceMeshMultiUser`
`void` | `updateAllMultiUserMeshes()` update all `GL20ResourceMeshMultiUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static final GL20MeshServer getInstance()

  return the server instance of this `GL20MeshServer`

  Returns:
    the server instance

### getMultiUserMeshByName

    public final GL20ResourceMeshMultiUser getMultiUserMeshByName(java.lang.String name)

  get a `GL20ResourceMeshMultiUser` by a given `name`. if no `GL20ResourceMeshMultiUser` was found with given `name` `null` will returned

  Parameters:
    `name` - the name of the `GL20ResourceMeshMultiUser`
  Returns:
    `null` - no `GL20ResourceMeshMultiUser` is registered, otherwise - the `GL20ResourceMeshMultiUser`

### registerMultiUserMesh

    public final void registerMultiUserMesh(GL20ResourceMeshMultiUser mesh)

  register a `GL20ResourceMeshMultiUser`

  Parameters:
    `mesh` - the `GL20ResourceMeshMultiUser` that should registered

### unregisterMultiUserMesh

    public final void unregisterMultiUserMesh(GL20ResourceMeshMultiUser mesh)

  unregister a `GL20ResourceMeshMultiUser`

  Parameters:
    `mesh` - the `GL20ResourceMeshMultiUser` that should unregistered

### updateAllMultiUserMeshes

    public final void updateAllMultiUserMeshes()

  update all `GL20ResourceMeshMultiUser`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD